void setup()
{
  lcd.begin(2, 16);
  sensors.begin();
  pinMode(port1, OUTPUT);
  pinMode(buzzer, OUTPUT);
  if (analogRead(butPin) < 1000) { // процедура калибровки
    lcd.print("Calibrate");         // На дисплей выводим слово "Калибровка"
    lcd.setCursor(0,1);              // устанавливаем курсор во вторую строку
    delay(3000);                     // пауза 3 сек, за это время надо отпустить кнопку
    for ( i = 1; i < 6; i++) {       // цикл от 1 до 5
    lcd.clear();                     // очищаем дисплей
    lcd.print(" Press ");           // выводим слово "Нажмите" с пробелом в конце в первую строку
    lcd.print(i, DEC);               // выводим номер кнопки, теперь на экране написано "Нажмите 1"
    while (analogRead(butPin) > 1000) {}; //ничего не делаем (пустой цикл) пока не нажата кнопка
    button ();                       // процедура опроса кнопки, по окончанию в val будет значение АЦП
    butval[i]=val;                   // записываем это значение в массив
    lcd.clear();                     // очищаем дисплей
    lcd.setCursor(0,1);              // и во вторую строку ...
    lcd.print(i, DEC);               // ... выводим номер кнопки ...
    lcd.print(" ");                  // ... и через пробел...
    lcd.print(butval[i], DEC);       // значение АЦРП ей соответствующее
    EEPROM.write(224+i*2,butval[i]/4); // записиваем в EEPROM по 2 байта на значение начиная с адреса 224
    // в первый адрес старшие 8 бит
    EEPROM.write(225+i*2,butval[i]%4); // во второй - остаток. (всего у нас было 10 бит)
    delay(1000);                       // пауза 1 сек (просто так... чтоб сильно не шокировать)
    }
  } // конец калибровки
  else { // читаем АЦП кнопок         // если условие запуска калибровки не выполнилось читаем то, что было записано ранее
    for ( i = 0; i < 8; i++) {        // цикл на 8 байт. опять же пережиток
      butval[i] = EEPROM.read(224+i*2)*4+EEPROM.read(225+i*2);  //процедура обратная записию берем старшие 8 бит, 
      // ... сдвигаем на 2 разряда (умножаем на 4) и прибавляем младшие биты.
    } // конец цикла
  } // конец if 
  
}
